package nft.buy;

public class BuyResult {
    int taskStatus;
    String taskMsg;
    String txHash;
    long chainTimestamp;
    String payTaskId;

    public BuyResult() {
    }

    public BuyResult(int taskStatus, String taskMsg, String txHash, long chainTimestamp, String payTaskId) {
        this.taskStatus = taskStatus;
        this.taskMsg = taskMsg;
        this.txHash = txHash;
        this.chainTimestamp = chainTimestamp;
        this.payTaskId = payTaskId;
    }

    @Override
    public String toString() {
        return "BuyResult{" +
                "taskStatus='" + taskStatus + '\'' +
                ", taskMsg='" + taskMsg + '\'' +
                ", txHash='" + txHash + '\'' +
                ", chainTimestamp=" + chainTimestamp +
                ", payTaskId='" + payTaskId + '\'' +
                '}';
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTaskMsg() {
        return taskMsg;
    }

    public void setTaskMsg(String taskMsg) {
        this.taskMsg = taskMsg;
    }

    public String getTxHash() {
        return txHash;
    }

    public void setTxHash(String txHash) {
        this.txHash = txHash;
    }

    public long getChainTimestamp() {
        return chainTimestamp;
    }

    public void setChainTimestamp(long chainTimestamp) {
        this.chainTimestamp = chainTimestamp;
    }

    public String getPayTaskId() {
        return payTaskId;
    }

    public void setPayTaskId(String payTaskId) {
        this.payTaskId = payTaskId;
    }
}
